OpenVDB 5.1.0

Public Types | Public Member Functions | Public Attributes | List of all members
CollapseAttributeOp< Name, PointDataTreeType > Struct Template Reference

`#include <PointAttribute.h>`

## Public Types
using | LeafManagerT = typename tree::LeafManager< PointDataTreeType >
using | LeafRangeT = typename LeafManagerT::LeafRange

## Public Member Functions
| CollapseAttributeOp (const size_t pos, const Name &uniformValue)
void | operator() (const LeafRangeT &range) const

## Public Attributes
const size_t | mPos
const Name | mUniformValue

## Member Typedef Documentation

## ◆ LeafManagerT

using LeafManagerT = typename tree::LeafManager<PointDataTreeType>

## ◆ LeafRangeT

using LeafRangeT = typename LeafManagerT::LeafRange

## Constructor & Destructor Documentation

## ◆ CollapseAttributeOp()

CollapseAttributeOp | ( | const size_t | pos,
|  | const Name & | uniformValue
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const LeafRangeT & | range | ) | const
| inline

## Member Data Documentation

## ◆ mPos

const size_t mPos

## ◆ mUniformValue

const Name mUniformValue

The documentation for this struct was generated from the following file:

- PointAttribute.h